Region Healths - Get
Returns the requested health status of a region.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/{location}?api-version=2016-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Name of the region |
|
resource
|
path | True |
string |
The name of the resource group. |
|
subscription
|
path | True |
string |
Subscription credentials that uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client API Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Security
azure_auth
Authorization uses an Azure Active Directory OAuth2 flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Returns the requested health status of a region.
Sample request
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/local?api-version=2016-05-01
Sample response
{
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/local",
"name": "local",
"type": "Microsoft.InfrastructureInsights.Admin/regionHealths",
"location": "local",
"tags": {},
"properties": {
"usageMetrics": [
{
"name": "Physical memory",
"metricsValue": [
{
"name": "Used",
"unit": "GB",
"value": 76.24941635131836
},
{
"name": "Available",
"unit": "GB",
"value": 181.7333984375
}
]
},
{
"name": "Physical storage",
"metricsValue": [
{
"name": "Used",
"unit": "TB",
"value": 0.22170669212937355
},
{
"name": "Available",
"unit": "TB",
"value": 2.2449070774018764
}
]
},
{
"name": "Public IP address pools",
"metricsValue": [
{
"name": "Used",
"unit": "One",
"value": 31
},
{
"name": "Available",
"unit": "One",
"value": 480
}
]
}
],
"alertSummary": {
"criticalAlertCount": 0,
"warningAlertCount": 2
}
}
}
Definitions
| Name | Description |
|---|---|
|
Alert |
Summary of the alerts. |
| Metrics |
Metrics for a source. |
|
Metrics |
The origin of the metric. |
|
Metrics |
The unit of the metric. |
|
Region |
Contains information related to the health of a region. |
|
Usage |
Metrics of resource usage. |
AlertSummary
Summary of the alerts.
| Name | Type | Description |
|---|---|---|
| criticalAlertCount |
integer |
The number of critical alerts for the service. |
| warningAlertCount |
integer |
The number of warning alerts for the service. |
Metrics
Metrics for a source.
| Name | Type | Description |
|---|---|---|
| maCounterName |
string |
Name of the counter. |
| name |
string |
Name of the usage metric. |
| observedTimestamp |
string (date-time) |
Time counter was observed. |
| sourceName |
Name of the source. |
|
| sourceType |
string |
Type of the source. |
| unit |
Unit for the metric. |
|
| value |
number (double) |
Name of the usage metric. |
MetricsSourceType
The origin of the metric.
| Value | Description |
|---|---|
| PhysicalNode | |
| VirtualMachine | |
| ResourceProvider |
MetricsUnit
The unit of the metric.
| Value | Description |
|---|---|
| One | |
| Percentage | |
| B | |
| KB | |
| MB | |
| GB | |
| TB |
RegionHealth
Contains information related to the health of a region.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource Id for the resource |
| location |
string |
The Azure Region where the resource lives |
| name |
string |
The name of the resource |
| properties.alertSummary |
Summary of alerts. |
|
| properties.usageMetrics |
List of usage metrics for the region. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. |
UsageMetrics
Metrics of resource usage.
| Name | Type | Description |
|---|---|---|
| metricsValue |
Metrics[] |
List of usage metrics. |
| name |
string |
Name of the usage metric. |